corda / net.corda.node.services.persistence / StorageServiceImpl

# StorageServiceImpl

`open class StorageServiceImpl : SingletonSerializeAsToken, TxWritableStorageService`

### Constructors

<init> | `StorageServiceImpl(attachments: AttachmentStorage, validatedTransactions: TransactionStorage, stateMachineRecordedTransactionMapping: StateMachineRecordedTransactionMappingStorage)`

### Properties

attachments | `open val attachments: AttachmentStorage` Provides access to storage of arbitrary JAR files (which may contain only data, no code).
stateMachineRecordedTransactionMapping | `open val stateMachineRecordedTransactionMapping: StateMachineRecordedTransactionMappingStorage`
uploaders | `open lateinit var uploaders: List<FileUploader>`
validatedTransactions | `open val validatedTransactions: TransactionStorage` A map of hash->tx where tx has been signature/contract validated and the states are known to be correct. The signatures aren't technically needed after that point, but we keep them around so that we can relay the transaction data to other nodes that need it.

### Functions

initUploaders | `fun initUploaders(uploadersList: List<FileUploader>): Unit`

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`